Subject: Re: [PATCH net-next v2 3/3] net: phy: marvell10g: place in powersave mode at probe

From: Russell King - ARM Linux admin <[email-masked]>
Date: Tue, 14 Apr 2020 17:30:26 +0100

On Fri, Apr 10, 2020 at 03:48:34PM +0200, Matteo Croce wrote:
> On Fri, Apr 10, 2020 at 3:24 PM Russell King <[email-masked]> wrote:
> >
> > Place the 88x3310 into powersaving mode when probing, which saves 600mW
> > per PHY. For both PHYs on the Macchiatobin double-shot, this saves
> > about 10% of the board idle power.
> >
> > Signed-off-by: Russell King <[email-masked]>
> 
> Hi,
> 
> I have a Macchiatobin double shot, and my 10G ports stop working after
> this change.
> I reverted this commit on top of latest net-next and now the ports work again.

For the public record, I've been debugging this in-part on Matteo's
board, and it looks like it's a PHY firmware issue.

Both my Macchiatobin boards use firmware 0.2.1.0 (which is not even
mentioned on Marvell's extranet), whereas Matteo's board uses 0.3.3.0.
It seems firmware 0.2.1.0 behaves "correctly" with my patch, but
0.3.3.0 does not - and neither does the latest 0.3.10.0.  Both of
these more recent versions seem to need a software reset to recover
from power down mode... so a patch will be coming soon to add that.

I also think it would be a good idea to print the PHY firmware
version when the PHY is probed - another patch coming for that.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTC broadband for 0.8mile line in suburbia: sync at 10.2Mbps down 587kbps up